{
	"root": true,
	"env": {
		"browser": true,
    "node": true
	},
	"plugins": ["@typescript-eslint"],
	"extends": ["plugin:vue/vue3-essential", "eslint:recommended", "@vue/typescript/recommended", "@vue/prettier"],
	"parserOptions": {
		"ecmaVersion": 2022
	},
	"rules": {
		"@typescript-eslint/no-non-null-assertion": "off",
		"vue/multi-word-component-names": "off",
		"vue/component-name-in-template-casing": ["error", "PascalCase"],
		"vue/require-toggle-inside-transition": "off",
		"prettier/prettier": [
			"warn",
			{
				"singleQuote": true,
				"semi": true,
				"useTabs": true,
				"trailingComma": "none",
				"bracketSpacing": true,
				"arrowParens": "avoid",
				"printWidth": 120
			}
		]
	}
}
